Subject: Re: [PATCH] l10n: de.po: translate 99 new messages

From: Thomas Rast <[email-masked]>
Date: Wed, 31 Jul 2013 22:53:32 +0200

Hi Ralf

I made a feeble attempt to work directly on de.po so that I could send a
patch instead, but your patch was again linewrapping damaged at the last
line here at least:

  -"Arbeitsverzeichnis von Submodul in '$sm_path' enthält lokale Änderungen; "
  -"verwenden Sie '-f' um diese zu verwerfen"
  +msgstr "Arbeitsverzeichnis von Submodul in '$displaypath' enthält
  lokale Änderungen; verwenden Sie '-f' um diese zu verwerfen"
 
Was it intended for application?  If so, can you fix your tooling to
send correct patches?

Ralf Thielow <[email-masked]> writes:

> -#, fuzzy, c-format
> +#, c-format
>  msgid "%s: %s - %s"
> -msgstr "%s: %s"
> +msgstr "%s: %s - %s"

Heh.  Curious that this is even translatable.

[...]
> @@ -1221,10 +1221,22 @@ msgid ""
>  "\n"
>  "where \"$br\" is somehow empty and a 40-hex ref is created. Please\n"
>  "examine these refs and maybe delete them. Turn this message off by\n"
>  "running \"git config advice.object_name_warning false\""
>  msgstr ""
> +"Git erzeugt normalerweise keine Referenzen die mit\n"
> +"40 Hex-Zeichen enden, da diese ignoriert werden wenn\n"
> +"Sie diese angeben. Diese Referenzen könnten ausversehen\n"

aus Versehen?

[...]
> @@ -3529,10 +3525,14 @@ msgid ""
>  "Prompt help:\n"
>  "1          - select a numbered item\n"
>  "foo        - select item based on unique prefix\n"
>  "           - (empty) select nothing"
>  msgstr ""
> +"Eingabehilfe:\n"
> +"1          - numeriertes Element auswählen\n"

Isn't it "nummeriert" under the new spelling rules?

[...]
>  #: builtin/clean.c:634
>  #, c-format
>  msgid "Input ignore patterns>> "
> -msgstr ""
> +msgstr "Eingabe Ignorier-Muster>> "

"Input" here is an imperative, so it should be

  Ignorier-Muster eingeben>>

[...]
>  msgid "set From address to <ident> (or committer ident if absent)"
>  msgstr ""
> +"setzt \"From\"-Adresse zu <Identifikation> (oder Identifikation\n"
> +"des Commit-Erstellers, wenn fehlend)"

  setzt \"From\"-Adresse auf <Identifikation>
                         ^^^

or is that my Swiss German again?

In addition, I think <ident> would sound smoother as Identität (in any
case that's what I think it expands to in English).  There are other
occurrences of "ident" that you would need to change to match.

[...]
>  msgid_plural ""
>  "the following submodules (or one of its nested submodules)\n"
>  "use a .git directory:"
>  msgstr[0] ""
> +"das folgende Submodul (oder ein geschachteltes Submodul hiervon)\n"
> +"benutzt ein .git-Verzeichnis:"
>  msgstr[1] ""
> +"die folgenden Submodule (oder ein geschachteltes Submodul hiervon)\n"
> +"benutzt ein .git-Verzeichnis:"

The sentence is not fully in plural; it should probably be

"die folgenden Submodule (oder geschachtelte Submodule hiervon)\n"
"benutzen ein .git-Verzeichnis:"

[...]
>  #: git-rebase.sh:160
>  msgid ""
>  "Applying autostash resulted in conflicts.\n"
>  "Your changes are safe in the stash.\n"
>  "You can run \"git stash pop\" or \"git stash drop\" it at any time.\n"
>  msgstr ""
> +"Anwendung von \"autostash\" resultierte in Konflikten.\n"
> +"Ihre Änderungen sind sicher im Stash.\n"

There would be no ambiguity in the intended meaning of "sicher" if you
instead said

  Ihre Änderungen sind im Stash sicher.

(Note that the ambiguity does not exist in English: the other meaning
would be "surely".)

> +"Sie können jederzeit \"git stash pop\" oder \"git stash drop\" ausführen.\n"
[...]

-- 
Thomas Rast
trast@{inf,student}.ethz.ch